%global eclipse_name       eclipse
%global eclipse_base       %{_libdir}/%{eclipse_name}
%global install_loc        %{_datadir}/eclipse/dropins
%global javahl_plugin_name org.tigris.subversion.clientadapter.javahl_1.7.6.jar

# Add a comment to have something to commit to try to reproduce Adam
# Williamson's deadlock bug.

Name:           eclipse-subclipse
Version:        1.8.16
Release:        %mkrel 3
Summary:        Subversion Eclipse plugin

Group:          Development/Tools
License:        EPL and CC-BY
URL:            http://subclipse.tigris.org/
Source0:        subclipse-%{version}.tar.xz
# Script to fetch the source code
Source10:       subclipse-fetch.sh
Patch0:         eclipse-subclipse-1.8.13-dependencies.patch

BuildArch:              noarch

BuildRequires:          ant
BuildRequires:          jpackage-utils >= 0:1.6
BuildRequires:          coreutils
BuildRequires:          eclipse-pde >= 4.2.0-0.6
BuildRequires:          eclipse-gef
Requires:               eclipse-platform >= 4.2.0-0.6

BuildRequires:          subversion-javahl >= 1.7
Requires:               subversion-javahl >= 1.7

Obsoletes:              eclipse-subclipse-book < 1.4

%description
Subclipse is an Eclipse plugin that adds Subversion integration to the Eclipse
IDE.

%package graph
Summary:        Subversion Revision Graph
Group:          Development/Java
Requires:       %{name} = %{version}
Requires:       eclipse-gef

%description graph
Subversion Revision Graph for Subclipse.


%prep
%setup -q -n subclipse-%{version}
%patch0 -b .sav

# remove javahl sources
rm -rf org.tigris.subversion.clientadapter.javahl/src/org/tigris/subversion/javahl
ln -s %{_javadir}/svn-javahl.jar org.tigris.subversion.clientadapter.javahl

# fixing wrong-file-end-of-line-encoding warnings
sed -i 's/\r//' org.tigris.subversion.subclipse.graph/icons/readme.txt


%build
eclipse-pdebuild -f org.tigris.subversion.clientadapter.feature 
eclipse-pdebuild -f org.tigris.subversion.clientadapter.javahl.feature 
# Do not build svnkit as our svnkit package is outdated
#%{eclipse_base}/buildscripts/pdebuild -a "-DjavacSource=1.5 -DjavacTarget=1.5"     \
#  -f org.tigris.subversion.clientadapter.svnkit.feature \
#  -d svnkit
eclipse-pdebuild -f org.tigris.subversion.subclipse  
eclipse-pdebuild -f org.tigris.subversion.subclipse.graph.feature -d gef


%install
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}

installBase=$RPM_BUILD_ROOT%{install_loc}
install -d -m 755 $installBase

# installing features
install -d -m 755 $installBase/subclipse-clientadapter
unzip -q -d $installBase/subclipse-clientadapter build/rpmBuild/org.tigris.subversion.clientadapter.feature.zip
install -d -m 755 $installBase/subclipse-clientadapter-javahl
unzip -q -d $installBase/subclipse-clientadapter-javahl build/rpmBuild/org.tigris.subversion.clientadapter.javahl.feature.zip
#install -d -m 755 $installBase/subclipse-clientadapter-svnkit
#unzip -q -d $installBase/subclipse-clientadapter-svnkit build/rpmBuild/org.tigris.subversion.clientadapter.svnkit.feature.zip
install -d -m 755 $installBase/subclipse
unzip -q -d $installBase/subclipse build/rpmBuild/org.tigris.subversion.subclipse.zip
install -d -m 755 $installBase/subclipse-graph
unzip -q -d $installBase/subclipse-graph build/rpmBuild/org.tigris.subversion.subclipse.graph.feature.zip

# replacing jar with links to system libraries
rm $installBase/subclipse-clientadapter-javahl/eclipse/plugins/%{javahl_plugin_name}
ln -s %{_javadir}/svn-javahl.jar $installBase/subclipse-clientadapter-javahl/eclipse/plugins/%{javahl_plugin_name}

%files
%{install_loc}/subclipse
%{install_loc}/subclipse-clientadapter*
%doc org.tigris.subversion.subclipse.graph/icons/readme.txt

%files graph
%{install_loc}/subclipse-graph



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.8.16-3.mga3
+ Revision: 349472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 1.8.16-2.mga3
+ Revision: 327504
- Adapt to new eclipse

  + shlomif <shlomif>
    - Update to the latest subclipse. Not working yet.

* Sun Nov 27 2011 gil <gil> 1.6.18-1.mga2
+ Revision: 172692
- update to 1.6.18

* Fri May 13 2011 dmorgan <dmorgan> 1.6.17-1.mga1
+ Revision: 98156
- imported package eclipse-subclipse

